%define upstream_name    Compress-LZO
%define upstream_version 1.08

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 13

Summary:	Compress-LZO module for perl 
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Compress/%{upstream_name}-%{upstream_version}.tar.bz2
# seems a hack, but since we don't have liblzo1-devel...
Patch:		Compress-LZO-1.08-lzo2.patch

BuildRequires:	perl-devel
BuildRequires:	liblzo2-devel


%description
LZO is a portable lossless data compression library written in ANSI C. It
offers pretty fast compression and *very* fast decompression. Decompression
requires no memory. Perl-LZO provides LZO bindings for Perl, i.e. you can
access the LZO library from your Perl scripts thereby compressing ordinary Perl
strings.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make
make test

%install
%makeinstall_std

%files
%doc COPYING INSTALL NEWS README
%{perl_vendorlib}/*/Compress/LZO.pm
%{perl_vendorlib}/*/auto/Compress/LZO
%{_mandir}/*/*


%changelog
* Sat Jun 18 2016 pterjan <pterjan> 1.80.0-13.mga6
+ Revision: 1024279
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 1.80.0-12.mga6
+ Revision: 956893
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 tv <tv> 1.80.0-11.mga6
+ Revision: 843612
- rebuild for perl-5.22

* Wed Oct 15 2014 umeabot <umeabot> 1.80.0-10.mga5
+ Revision: 744659
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.80.0-9.mga5
+ Revision: 683967
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 1.80.0-8.mga5
+ Revision: 630897
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 1.80.0-7.mga4
+ Revision: 524715
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 1.80.0-6.mga4
+ Revision: 431378
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.80.0-5.mga3
+ Revision: 364555
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.80.0-4.mga3
+ Revision: 250347
- rebuild for perl 5.16

* Sat Jun 11 2011 sander85 <sander85> 1.80.0-3.mga2
+ Revision: 103723
- perl 5.14

* Fri Jan 21 2011 jquelin <jquelin> 1.80.0-2.mga1
+ Revision: 29928
- mageia rebuild
- imported package perl-Compress-LZO


* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 1.80.0-2mdv2011.0
+ Revision: 555697
- rebuild

* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 1.80.0-1mdv2010.0
+ Revision: 403025
- rebuild using %%perl_convert_version

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 1.08-7mdv2009.0
+ Revision: 256041
- rebuild

* Mon Jan 14 2008 Pixel <pixel@mandriva.com> 1.08-5mdv2008.1
+ Revision: 151463
- rebuild for perl-5.10.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.08-4mdv2008.0
+ Revision: 86185
- rebuild


* Wed Sep 13 2006 Oden Eriksson <oeriksson@mandriva.com> 1.08-3mdv2007.0
- rebuild

* Mon Jul 18 2005 Oden Eriksson <oeriksson@mandriva.com> 1.08-2mdk
- fix deps

* Thu Jul 14 2005 Oden Eriksson <oeriksson@mandriva.com> 1.08-1mdk
- initial Mandriva package

